=== debian/changelog ===
debian-policy (3.9.5.0) unstable; urgency=low

  * Policy: Document the Package-List field.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #697433
  * Policy: DM-Upload-Allowed is now obsolete
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #679326
  * Policy: Checksums-{Sha1,Sha256} are now mandatory
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Closes: #690293
  * Policy: Requirements for udebs are not well documented yet
    Wording: Russ Allbery <rra@debian.org>
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #698030
  * Policy: install-info is run by a dpkg trigger.
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #669915
  * Policy: Stop recommending to serve HTML documents from /usr/share/doc.
    Wording: Thomas Goirand <zigo@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Closes: #715804
  * Policy: File names encoded in UTF-8. ASCII preferred and mandatory in PATH.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Julian Gilbey <julian@d-and-j.net>
    Closes: #701081
  * Policy: Document the Dgit field for Debian Source Control files.
    Wording: Ian Jackson <ijackson@chiark.greenend.org.uk>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Joey Hess <joeyh@debian.org>
    Seconded: Dmitrijs Ledkovs <xnox@debian.org>
    Closes: #720507
  * Policy: Remove the exception to the FHS for the /selinux directory.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #707183
  * Policy: on upgrades, recommend removing obsolete unchanged conf. files.
    Wording: Paul Wise <pabs@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #707077
  * Policy: Control data fields must not start with a hyphen character.
    Wording: Niels Thykier <niels@thykier.net>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #706778
  * debconf_spec: Document the 'escape' capability.
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #671355
  * virtual-package-names-list: removed mp3-decoder and mp3-encoder.
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #668394
  * Clean outdated mentions of dpkg commands in appendix. Thanks, Guillem Jover
  * Remove outdated mention of dselect documentation.
    Closes: #700574.  Thanks, Guillem Jover.
  * Update dak reference from old katie name.
    Closes: #700536.  Thanks, Guillem Jover.
  * Fix typo in 8.6.4.  Thanks, Raúl Benencia.  (Closes: #691352)
  * Fix typo in 8.6.4.1.  Thanks, Salvatore Bonaccorso <carnil@debian.org>.
  * Added a warning in appendix G about diverting conffiles.
    Closes: #703022.  Thanks, Torsten Jerzembeck.
  * List build-arch and build-indep with the other required targets in 4.9.
    Closes: #704657.  Thanks, Philipp Hahn.
  * Replaced non-standard names of dpkg states by normalised ones.
    Closes: #705403
  * Clarify what is meant by "compressed" in section 10.5. (Closes: #676784)
  * Packaging: use the VCS URLs proposed by Lintian.
  * Packaging: normalised debian/control with the tool "config-model-edit".
  * Packaging: refreshed the names of the Policy Editors.

 -- Charles Plessy <plessy@debian.org>  Mon, 28 Oct 2013 09:40:48 +0900
