=== debian/changelog ===
debian-policy (3.9.6.1) unstable; urgency=low

  * Fix FTBFS with emacs 24.4. Thanks to David Bremner <david@tethera.net>
    for the help. Closes: #769219

 -- Bill Allombert <ballombe@debian.org>  Mon, 17 Nov 2014 11:55:55 +0100

debian-policy (3.9.6.0) unstable; urgency=low

  [ Bill Allombert ]
  * upgrading-checklist.sgml: remove spurious 'details in' leftover from
    the HTML transition.  Closes: #740100. Thanks Jakub Wilk.
  * debian/control:
    - Build-Depends emacs-nox|emacs instead of emacs23. Closes: #753999
    Thanks Gabriele Giacone and Rob Browning.
  * Packaging: refreshed the names of the Policy Editors.
  * Policy: [11.5.1] Web servers: Fix use of metasyntactic variables and
    applications Closes: #737730. Thanks Olivier Berger.
  * Policy: [5.6.21] Files: Fix typo "by" -> be. Closes: #753353.
    Thanks Benedikt Wildenhain.
  * Policy: Remove reference to DEHS (dead service)
    Wording: David Prévot <taffit@debian.org>
    Seconded: Julian Gilbey <julian@d-and-j.net>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #731810
  * Policy: Relax /usr/share FHS requirement for directories with mixed content.
    Wording: Joey Hess <joeyh@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Michael Biebl <biebl@debian.org>
    Closes: #741304
  * Perl Policy: @INC has /usr/lib/perl/5.18, not /usr/lib/perl/5.18.2
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Closes: #748480
  * Perl Policy: Explain %Config earlier
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Damyan Ivanov <dmn@debian.org>
    Closes: #748479
  * Perl Policy: @INC changes for multiarch
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Damyan Ivanov <dmn@debian.org>
    Closes: #748380
  * Perl Policy: Packages using Perl vendorarch directory need a perlapi-*
    dependency
    Wording: Niko Tyni <ntyni@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Gregor Herrmann <gregoa@debian.org>
    Seconded: Axel Beckert <abe@debian.org>
    Closes: #750017
  * Policy: Grant an FHS exception for the multiarch headers directories
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #742756
  * Policy: Discourage statically linked binaries
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Closes: #555980
  * Policy: Clarify whose signature should go in debian/changelog (4.4)
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Gregor Herrmann <gregoa@debian.org>
    Closes: #593611
  * Policy: Change default web document root to /var/www/html
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Arno Töll <arno@debian.org>
    Seconded: Matthias Urlichs <matthias@urlichs.de>
    Closes: #491547
  * virtual-package-names-list: Update java runtime list
    Wording: Emmanuel Bourg <ebourg@apache.org>
    Seconded: Tony Mancill <tmancill@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Closes: #754876
  * virtual-package-names-list: Add httpd-wsgi 
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Jonas Smedegaard <dr@jones.dk>
    Seconded: Piotr Ożarowski <piotr@debian.org>
    Closes: #588497
  [ Jonathan Nieder ]
  * Policy: Drop FHS requirement that /usr/local/lib<qual> exist when /lib<qual>
    or /usr/lib<qual> does.
    Wording: Tollef Fog Heen <tfheen@err.no>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #613143

 -- Bill Allombert <ballombe@debian.org>  Wed, 17 Sep 2014 20:03:20 +0200
