=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Policy List <debian-policy@lists.debian.org>
 Uploaders: Andreas Barth <aba@debian.org>,
            Bill Allombert <ballombe@debian.org>,
-           Charles Plessy <plessy@debian.org>,
            Jonathan Nieder <jrnieder@gmail.com>,
            Russ Allbery <rra@debian.org>
 Section: doc
@@ -11,7 +10,7 @@
                debiandoc-sgml (>= 1.1.47),
                docbook-dsssl,
                docbook-xml,
-               emacs23,
+               emacs-nox (>= 24.4) | emacs (>= 24.4),
                groff,
                jade,
                links | elinks,
@@ -20,7 +19,7 @@
                texlive,
                texlive-latex-extra,
                tidy
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dbnpolicy/policy.git
 Vcs-Git: git://anonscm.debian.org/dbnpolicy/policy.git
