=== debian/changelog ===
debian-policy (3.9.8.0) unstable; urgency=medium

  * Policy: The Debian menu is optionally supported.
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
    Seconded: Cyril Brulebois <kibi@debian.org> (for the menu entries)
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #707851

 -- Don Armstrong <don@debian.org>  Mon, 01 Feb 2016 20:26:05 -0800

debian-policy (3.9.7.0) unstable; urgency=low

  * Policy: refreshed the names of the Policy Editors.
  * Makefile: use gzip -n when compressing generated files.
  * debian/control, Makefile:
     - add missing Build-Depends on sp (opensp). Closes: #812663
     - migrate to openjade and opensp.
  * debian/rules: no more ship libc6-migration.txt. Closes: #797478
  * Policy: Symbolic links must not traverse above the root directory.
    Wording: Andrey Rahmatullin <wrar@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Henrique de Moraes Holschuh <hmh@debian.org>
    Closes: #555979
  * Policy: [9.2.2] document 32-bit UIDs ranges.
    Wording: Matthew Vernon <matthew@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #765499
  * Policy: [5.1] empty field values in control files are only permitted in
    the debian/control file of a source package.
    Wording:  Bill Allombert <ballombe@debian.org>
    Seconded: Henrique de Moraes Holschuh <hmh@debian.org>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Closes: #666726
  * Policy: [4.9] debian/rules: required targets must not attempt network
    access.
    Wording:  Bill Allombert <ballombe@debian.org>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Seconded: Lucas Nussbaum <lucas@debian.org>
    Closes: #770016
  * Policy: [12.3] recommend to ship additional documentation for package 'pkg'
    in a separate package 'pkg-doc' and install it into /usr/share/doc/pkg.
    Wording:  Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <ballombe@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #106073
  [ Stefano Zacchiroli ]
  * autopkgtest: new document containing the specification of automatic,
    as-installed (AKA autopkgtest, or DEP-8) package tests
    Closes: #799779

 -- Bill Allombert <ballombe@debian.org>  Mon, 01 Feb 2016 23:03:51 +0100
