=== debian/control ===
--- 
+++ 
@@ -12,14 +12,15 @@
                docbook-xml,
                emacs-nox (>= 24.4) | emacs (>= 24.4),
                groff,
-               jade,
+               openjade, opensp,
                links | elinks,
                pstoedit,
                sgml-data,
                texlive,
                texlive-latex-extra,
-               tidy
-Standards-Version: 3.9.6
+               tidy,
+	       markdown
+Standards-Version: 3.9.7
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=dbnpolicy/policy.git
 Vcs-Git: git://anonscm.debian.org/dbnpolicy/policy.git
 
@@ -34,6 +35,7 @@
     - Debian Perl sub-policy
     - Debian configuration management specification
     - Machine-readable debian/copyright specification
+    - Autopkgtest - automatic as-installed package testing
     - Authoritative list of virtual package names
     - Policy checklist for upgrading your packages
     - Paper about libc6 migration
