=== debian/changelog ===
debian-policy (4.1.0.0) unstable; urgency=medium

  [ Sean Whitton ]
  * Policy: Packages should build reproducibly
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Ondrej Novy <novy@ondrej.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ximin Luo <infinity0@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Closes: #844431
  * Policy: Restrictions on the use of /lib64/ and /usr/lib64/
    Wording: Bill Allombert <ballombe@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #630174
  * Policy: Clarify how `x-terminal-emulator -e` must behave
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #648271
  * Fix a singular/plural error in 9.6.
    Thanks to Didier Raboud for pointing out the problem.
  * Improve release process documentation in README.md.
  * Policy changes process:
    - Deprecate usage of the 'issue' usertag
      It is usually very clear whether an issue is a policy matter, so bugs
      can be simply closed, or moved to the 'discussion' phase.
      In the rare case that it's not clear whether the bug is a policy matter,
      it can remain unclassified, or be tagged 'moreinfo' (see below).
    - Add policy-specific usage for the 'moreinfo' tag.
  * tools/policy-bug-report:
    - Enhance to fetch bugs that have a given usertag or combination of
      usertags
    - Improve the lists of bugs generated, for posting to Planet Debian.
  * Add convention to upgrading checklist for indicating that a policy
    requirement is covered by Lintian.

  [ Russ Allbery ]
  * Policy: Recommend including the upstream signing key
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
    Seconded: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Didier 'OdyX' Raboud <odyx@debian.org>
    Closes: #732445
  * Policy: Clearly allow non-default alternative non-free dependencies
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Closes: #587279

  [ Russ Allbery & Sean Whitton ]
  * Convert the source of the Debian Policy Manual to reStructuredText,
    built using the Sphinx toolchain.
    Many thanks to Hideki Yamane <henrich@debian.or.jp> for the conversion
    scripts, and pushing the project forward.
    Thanks to David Bremner <bremner@debian.org> for help proofreading the
    output.
    - Drop PostScript output.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 21 Aug 2017 14:17:42 -0700

debian-policy (4.0.1.0) unstable; urgency=medium

  [ Russ Allbery ]
  * Policy: Overhaul priorities, deprecate extra
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Seconded: Andreas Henriksson <andreas@fatal.se>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Closes: #758234, #759260, #660249, #196367
  * Policy: Clarify prohibition on depending on environment variables
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Seconded: Niels Thykier <niels@thykier.net>
    Closes: #640263

  [ Sean Whitton ]
  * Policy: Disambiguate "original authors" in 12.5
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: David Bremner <bremner@debian.org>
    Seconded: Jonas Smedegaard <dr@jones.dk>
    Closes: #678607
  * Policy: Document Testsuite: field
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Antonio Terceiro <terceiro@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #758124
  * Policy: Require calling ldconfig by means of triggers
    Wording: Niels Thykier <niels@thykier.net>
    Seconded: Andreas Henriksson <andreas@fatal.se>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #822430
  * Policy: Make section 9 agnostic between Debian's init systems
    Wording: Andreas Henriksson <andreas@fatal.se>
    Seconded: Andrey Rahmatullin <wrar@debian.org>
    Seconded: Martin Pitt <mpitt@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Seconded: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #835520
  * Policy: Packages may not install both a desktop entry and a menu entry
    Wording: Sean Whitton <spwhitton@spwhitton.name>
    Seconded: Philip Hands <phil@hands.com>
    Seconded: Didier 'OdyX' Raboud <odyx@debian.org>
    Seconded: David Bremner <bremner@debian.org>
    Closes: #839172
  * Convert Process.md to an appendix to Policy itself.
    - Update link in "Authors and Maintainers" to point to this new
      appendix (Closes: #866192).
  * Incorporate Margarita Manterola's maintscript flowcharts as a new
    appendix (Closes: #485776).
    Many thanks to David Bremner for help importing the images to docbook.
    - Add a footnote to 6.6 linking to the new appendix.
  * Update first paragraph of Appendix A to note that the final three
    appendices (the policy changes process and the upgrading checklist)
    were not taken from the Packaging Manual.
  * Add a footnote linking to the REJECT-FAQ (Closes: #849853).
  * Note that the debian/rules clean target is useless for removing files
    not compatible with the DFSG (Closes: #849851).
  * Add 'javascript', 'rust' archive sections (Closes: #867308).
  * Drop remark that systems with only required packages installed are
    "probably unusable", and add a paragraph break. (Closes: #589671).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 05 Aug 2017 21:47:47 -0400


