=== debian/control ===
Source: debian-policy
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Uploaders:
 Andreas Barth <aba@debian.org>,
 Bill Allombert <ballombe@debian.org>,
 Sean Whitton <spwhitton@spwhitton.name>,
 Russ Allbery <rra@debian.org>,
Section: doc
Priority: optional
Build-Depends:
 dblatex,
 debhelper (>= 10),
 dia,
 docbook-xml,
 docbook-xsl,
 libtext-multimarkdown-perl,
 libxml2-utils,
 links | elinks,
 python3-sphinx,
 sphinx-common,
 texinfo,
 xsltproc,
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/git/dbnpolicy/policy.git
Vcs-Git: https://anonscm.debian.org/git/dbnpolicy/policy.git

Package: debian-policy
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
# workaround for dh_sphinxdoc bug #872863
 libjs-sphinxdoc (>= 1.0),
Suggests:
 doc-base,
Built-Using: ${sphinxdoc:Built-Using}
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Filesystem Hierarchy Standard (FHS)
    - Debian Menu sub-policy
    - Debian Perl sub-policy
    - Debian configuration management specification
    - Machine-readable debian/copyright specification
    - Autopkgtest - automatic as-installed package testing
    - Authoritative list of virtual package names
    - Policy checklist for upgrading your packages
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.
